Skip to main content
GET
Get Portfolio Group Notification Policies

Authorizations

X-API-Key
string
header
required

Path Parameters

group_id
string<uuid>
required

Response

Response

id
string<uuid>
required

The unique identifier of the notification policy.

type
string
required

The type of notification policy (email, slack, webhook).

Examples:

"email"

"slack"

"webhook"

name
string
required

The name of the notification policy.

enabled
boolean
required

Whether the notification policy is enabled.

cadence
enum<string>
required

The notification cadence (daily, weekly, monthly, yearly).

Available options:
daily,
weekly,
biweekly,
monthly,
quarterly,
biannually,
annually
Examples:

"daily"

"weekly"

"monthly"

"yearly"

created_at
string<date-time>
required

When the notification policy was created.

group_id
string<uuid> | null

The unique identifier of the portfolio group (if applicable).

item_id
string<uuid> | null

The unique identifier of the portfolio item (if applicable).

last_run_at
string<date-time> | null

When the notification policy was last executed.

next_run_on
string<date> | null

When the notification policy is scheduled to run next.

attributes
enum<string>[]

List of attributes to notify on (officers, alternative_names).

Available options:
registration_health,
new_registrations,
addresses,
officers,
alternative_names,
kyb_score,
risk_score,
identity_network,
pep,
ofac,
liens,
litigations,
bankruptcies,
website_analysis
Examples:
recipients
string[]

List of email recipients for email notification policies.

Example:
updated_at
string<date-time> | null

When the notification policy was last updated.